
Partial Class Controls_LiveZone
    Inherits System.Web.UI.UserControl

    Public Property URL() As String
        Get
            Return Me.frame.Attributes("src")
        End Get
        Set(ByVal value As String)
            Me.frame.Attributes("src") = value
        End Set
    End Property

    Public Sub SetDimentions(ByVal width As Int32, ByVal height As Int32)
        pnlFrame.Width = width
        pnlFrame.Height = height
    End Sub

    Public Sub SetLocation(ByVal left As Int32, ByVal top As Int32)
        Me.pnlFrame.Style("left") = left & "px"
        Me.pnlFrame.Style("top") = top & "px"
    End Sub

    Public Property Scrolling() As String
        Get
            Return Me.frame.Attributes("scrolling")
        End Get
        Set(ByVal value As String)
            Me.frame.Attributes("scrolling") = value
        End Set
    End Property

End Class
